----------------------------------------------------
-- Simple Yield Trade Station
-- CHAOTIC Station
----------------------------------------------------
include( "StationHelper" );

local Station = {};

local TRADE_YIELDS = {
	{
		[YieldTypes.YIELD_CULTURE]		= 6,
	},
	{
		[YieldTypes.YIELD_ENERGY]		= 8,
	},
	{
		[YieldTypes.YIELD_SCIENCE]		= 12,
	},
	{
		[YieldTypes.YIELD_PRODUCTION]	= 16,
	},
	{
		[YieldTypes.YIELD_FOOD]			= 18,
	}
};

----------------------------------------------------
-- Accessors
----------------------------------------------------
function Station.GetTradeYieldDeltaPerTurn(station, yieldType)

	return GenericYieldDelta(station, yieldType, TRADE_YIELDS);
end

function Station.GetStationConquestYieldReward(station, yieldType)

	return GenericConquestYield(station, yieldType, TRADE_YIELDS);
end

function Station.GetMessageString(stationData, playerType)

	return GenericYieldStationMessageString(stationData, playerType, TRADE_YIELDS);
end

function Station.GetNextLevelString(station, playerType)

	return GenericYieldStationNextLevelString(station, playerType, TRADE_YIELDS);
end

function Station.GetMaxLevel()
	return #TRADE_YIELDS;
end

----------------------------------------------------
-- Callbacks
----------------------------------------------------

----------------------------------------------------
-- Utilities
----------------------------------------------------

return Station;