----------------------------------------------------
-- Simple Yield Trade Station
-- BALANCED Station
----------------------------------------------------
include( "StationHelper" );

local Station = {};

local TRADE_YIELDS = {
	{
		[YieldTypes.YIELD_ENERGY]		= 2,
		[YieldTypes.YIELD_CAPITAL]		= 2,
	},
	{
		[YieldTypes.YIELD_ENERGY]		= 4,
		[YieldTypes.YIELD_CAPITAL]		= 2,
	},
	{
		[YieldTypes.YIELD_ENERGY]		= 5,
		[YieldTypes.YIELD_CAPITAL]		= 5,
	},
	{
		[YieldTypes.YIELD_ENERGY]		= 7,
		[YieldTypes.YIELD_CAPITAL]		= 7,
	},
	{
		[YieldTypes.YIELD_ENERGY]		= 9,
		[YieldTypes.YIELD_CAPITAL]		= 9,
	}
};

----------------------------------------------------
-- Accessors
----------------------------------------------------
function Station.GetTradeYieldDeltaPerTurn(station, yieldType)

	return GenericYieldDelta(station, yieldType, TRADE_YIELDS);
end

function Station.GetStationConquestYieldReward(station, yieldType)

	return GenericConquestYield(station, yieldType, TRADE_YIELDS);
end

function Station.GetMessageString(stationData, playerType)

	return GenericYieldStationMessageString(stationData, playerType, TRADE_YIELDS);
end

function Station.GetNextLevelString(station, playerType)

	return GenericYieldStationNextLevelString(station, playerType, TRADE_YIELDS);
end

function Station.GetMaxLevel()
	return #TRADE_YIELDS;
end

----------------------------------------------------
-- Callbacks
----------------------------------------------------

----------------------------------------------------
-- Utilities
----------------------------------------------------

return Station;