----------------------------------------------------
-- Simple Yield Trade Station
-- BALANCED Station
----------------------------------------------------
include( "StationHelper" );

local Station = {};

local TRADE_YIELDS = {
	{
		[YieldTypes.YIELD_PRODUCTION]	= 1,
		[YieldTypes.YIELD_CULTURE]		= 1,
		[YieldTypes.YIELD_SCIENCE]		= 2,
	},
	{
		[YieldTypes.YIELD_PRODUCTION]	= 2,
		[YieldTypes.YIELD_CULTURE]		= 2,
		[YieldTypes.YIELD_SCIENCE]		= 3,
	},
	{
		[YieldTypes.YIELD_PRODUCTION]	= 3,
		[YieldTypes.YIELD_CULTURE]		= 3,
		[YieldTypes.YIELD_SCIENCE]		= 4,
	},
	{
		[YieldTypes.YIELD_PRODUCTION]	= 4,
		[YieldTypes.YIELD_CULTURE]		= 4,
		[YieldTypes.YIELD_SCIENCE]		= 6,
	},
	{
		[YieldTypes.YIELD_PRODUCTION]	= 5,
		[YieldTypes.YIELD_CULTURE]		= 5,
		[YieldTypes.YIELD_SCIENCE]		= 8,
	}
};

----------------------------------------------------
-- Accessors
----------------------------------------------------
function Station.GetTradeYieldDeltaPerTurn(station, yieldType)

	return GenericYieldDelta(station, yieldType, TRADE_YIELDS);
end

function Station.GetStationConquestYieldReward(station, yieldType)

	return GenericConquestYield(station, yieldType, TRADE_YIELDS);
end

function Station.GetMessageString(stationData, playerType)

	return GenericYieldStationMessageString(stationData, playerType, TRADE_YIELDS);
end

function Station.GetNextLevelString(station, playerType)

	return GenericYieldStationNextLevelString(station, playerType, TRADE_YIELDS);
end

function Station.GetMaxLevel()
	return #TRADE_YIELDS;
end

----------------------------------------------------
-- Callbacks
----------------------------------------------------

----------------------------------------------------
-- Utilities
----------------------------------------------------

return Station;