----------------------------------------------------
-- Simple Yield Trade Station
-- CHAOTIC Station
----------------------------------------------------
include( "StationHelper" );

local Station = {};

local TRADE_YIELDS = {
	{
		[YieldTypes.YIELD_FOOD]			= 3,
		[YieldTypes.YIELD_CAPITAL]		= 2,
	},
	{
		[YieldTypes.YIELD_FOOD]			= 5,
		[YieldTypes.YIELD_PRODUCTION]	= 3,
	},
	{
		[YieldTypes.YIELD_SCIENCE]		= 7,
		[YieldTypes.YIELD_ENERGY]		= 5,
	},
	{
		[YieldTypes.YIELD_PRODUCTION]	= 9,
		[YieldTypes.YIELD_SCIENCE]		= 7,
	},
	{
		[YieldTypes.YIELD_ENERGY]		= 11,
		[YieldTypes.YIELD_CULTURE]		= 9,
	},
};

----------------------------------------------------
-- Accessors
----------------------------------------------------
function Station.GetTradeYieldDeltaPerTurn(station, yieldType)

	return GenericYieldDelta(station, yieldType, TRADE_YIELDS);
end

function Station.GetStationConquestYieldReward(station, yieldType)

	return GenericConquestYield(station, yieldType, TRADE_YIELDS);
end

function Station.GetMessageString(stationData, playerType)

	return GenericYieldStationMessageString(stationData, playerType, TRADE_YIELDS);
end

function Station.GetNextLevelString(station, playerType)

	return GenericYieldStationNextLevelString(station, playerType, TRADE_YIELDS);
end

function Station.GetMaxLevel()
	return #TRADE_YIELDS;
end

----------------------------------------------------
-- Callbacks
----------------------------------------------------

----------------------------------------------------
-- Utilities
----------------------------------------------------

return Station;